List Files
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/files \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects/{project_id}/files"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects/{project_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"filename": "<string>",
"size_bytes": 123,
"mime_type": "<string>",
"status": "uploading",
"created_at": "2023-11-07T05:31:56Z",
"storage_key": "<string>",
"object": "file"
}
],
"total_count": 123,
"next_token": "<string>",
"prev_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
List Files
List all files for a project with optional pagination and filtering.
Args: project_id: Project ID that the files belong to filter_params: Optional filter parameters (ids, created_at_start, created_at_end) pagination_params: Optional pagination parameters (page_size, continuation_token, sort_by, sort_order)
GET
/
v1
/
projects
/
{project_id}
/
files
List Files
Authorizations
API key for authentication
Selected Account ID
Path Parameters
Query Parameters
Filter by file IDs
Filter by creation time (start)
Filter by creation time (end)
Number of items per page
Required range:
1 <= x <= 100Field to sort by
Sort order (asc or desc) Enum for project sort fields. Note that only non-nullable fields can be sorted by (for details, see: https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations ).
Available options:
asc, desc Pagination token

